#! /bin/sh
# /usr/lib/emacsen-common/packages/remove/flim
set -e

FLAVOR=$1
PACKAGE=flim

case $FLAVOR in
    *xemacs*|emacs2[0-3]|emacs1?|mule2)
    exit 0
    ;;
esac

ELCDIR=/usr/share/$FLAVOR/site-lisp/$PACKAGE

echo "remove/$PACKAGE: purging byte-compiled files for $FLAVOR"
rm -rf "$ELCDIR"
if [ -L "/etc/$FLAVOR/site-start.d/50$PACKAGE.el" ]; then
    rm -f "/etc/$FLAVOR/site-start.d/50$PACKAGE.el"
fi
exit 0
